Bug 1417974 - refresh of OCP 3.2 crashes with permission error in recovery
Summary: refresh of OCP 3.2 crashes with permission error in recovery
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.7.1
Assignee: zakiva
QA Contact: Einat Pacifici
URL:
Whiteboard: container:ems_refresh
Depends On: 1414508
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 14:18 UTC by Satoe Imaishi
Modified: 2020-05-14 15:35 UTC (History)
15 users (show)

Fixed In Version: 5.7.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1414508
Environment:
Last Closed: 2017-02-27 19:30:43 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-31 15:05:56 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/fdef6e78bc60fb2131b38111c49cff000c4c13b0

commit fdef6e78bc60fb2131b38111c49cff000c4c13b0
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Mon Jan 30 14:09:53 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 31 10:00:42 2017 -0500

    Merge pull request #13624 from zakiva/fix_nil_env
    
    Handle nil environment variables in dockerImageMetadata
    (cherry picked from commit 620603a5d42ae17cf5e846e0b4f78e488ff4f078)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1417974

 .../openshift/container_manager/refresh_parser.rb  | 31 ++++++-----
 .../container_manager/refresh_parser_spec.rb       | 60 ++++++++++++++++++++++
 2 files changed, 77 insertions(+), 14 deletions(-)

Comment 6 Einat Pacifici 2017-02-12 13:50:56 UTC
Verified. 
CFME 5.7.1.1 refresh successful with OCP3.2. provider

Comment 8 errata-xmlrpc 2017-02-27 19:30:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.